org.apache.axiom.mime.impl.axiom

## Class AxiomMultipartWriterFactory

- java.lang.Object
- - org.apache.axiom.mime.impl.axiom.AxiomMultipartWriterFactory

- All Implemented Interfaces:
    MultipartWriterFactory

      public class AxiomMultipartWriterFactory
      extends Object
      implements MultipartWriterFactory

  Factory for Axiom's own `MultipartWriter` implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MultipartWriterFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxiomMultipartWriterFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultipartWriter` | `createMultipartWriter(OutputStream out, String boundary)` Create a new `MultipartWriter` instance that writes a MIME multipart package to a given output stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final MultipartWriterFactory INSTANCE

  - ### Constructor Detail

    - #### AxiomMultipartWriterFactory

          public AxiomMultipartWriterFactory()

  - ### Method Detail

    - #### createMultipartWriter

          public MultipartWriter createMultipartWriter(OutputStream out,
                                                       String boundary)

      Description copied from interface: `MultipartWriterFactory`
      Create a new `MultipartWriter` instance that writes a MIME multipart package to a given output stream.
      Specified by:
        `createMultipartWriter` in interface `MultipartWriterFactory`
      Parameters:
        `out` - The output stream to write the MIME package to.
        `boundary` - The MIME boundary to use. The value should not include the leading dashes, i.e. it is the same value as used in the `boundary` content type parameter.
      Returns:
        the writer instance

Copyright © The Apache Software Foundation. All Rights Reserved.